Subject: [bug#41066] [PATCH] gnu: bootloader: Improve support for chain loading.

From: Stefan <[email-masked]>
Date: Sun, 13 Dec 2020 18:24:53 +0100

Hi Danny!

> (1) Export chain-bootloader-installer.  I totally agree with Ludo's earlier
> comment in that this is not the right abstraction for GENERAL bootloader
> chaining (which would be a LOT more difficult/impossible to do).

> I'm not sure whether "efi-bootloader-chain-installer" would be better (use
> whatever you think is best)--in any case, please do not make it seem like
> this function is in any way generic, which it is absolutely not.

Done, I chose chain-efi-bootloader-installer.

> (2) efi-bootloader-profile cosmetic comment and import cleanup.  Also, some
> more cosmetic comment cleanup in some other procedure.  Please use extra
> patch(es).

Undone.

> (3) Definition of procedure chain-bootloader-installer.  This procedure does
> not fail if the conditions are weird (collection is not a directory,
> bootloader-target is not a directory).  If there is no good reason for that,
> please use (error "...") to make it fail instead of silently continuing.
> If there are good reasons, nevermind.

Done.

> Since this is merely moving the existing procedure, please, if you do
> these changes I suggest, do those in an extra commit (so the moving commit
> is clearing only moving the procedure, not changing it).

No, it’s not strictly moving. Its pulling functionality out of efi-bootloader-chain into the new function chain-efi-bootloader-installer, which I put on top. Putting it below doesn’t make the diff prettier.

> (4) gnu/bootloader/grub.scm font installer doesn't use symlinks anymore.
> Fine, but maybe also make an extra patch for that.  Please use your judgement.

Done.

Bye

Stefan